Bug 183041 - Review Request: perl-Kwiki-ModPerl
Review Request: perl-Kwiki-ModPerl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 183040
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-25 13:56 EST by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 18:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-02-25 13:56:01 EST
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Kwiki-ModPerl/perl-Kwiki-ModPerl.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Kwiki-ModPerl-0.09-1.src.rpm
Description:
Kwiki mod_perl plugin.
Comment 1 Steven Pritchard 2006-02-27 17:59:31 EST
http://ftp.kspei.com/pub/steve/rpms/perl-Kwiki-ModPerl-0.09-2.src.rpm

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.09-2
- Drop explicit BR: perl.
Comment 2 Jason Tibbitts 2006-03-02 12:39:23 EST
Not much more to say here.  Summary needs fixing, but otherwise everything is
fine.   The Requires: perl(Kwiki) >= 0.32 is unnecessary as RPM will find the
Kwiki dependency and no older version exists in extras.  Interestingly, RPM
doesn't find the mod_perl2 requirement.

Approved; please supply a better summary when you check in.
Comment 3 Paul Howarth 2006-03-02 12:49:47 EST
(In reply to comment #2)
> The Requires: perl(Kwiki) >= 0.32 is unnecessary as RPM will find the
> Kwiki dependency and no older version exists in extras.

Whilst the versioned perl(Kwiki) dep doesn't need to be versioned for Extras, it
may be useful for those people that rebuild Extras packages for different
distributions (not an uncommon thing). It might be argued that adding a
versioned dep clutters the spec file but I think that it's a personal preference
issue for the maintainer rather than something that should be fixed. IMHO.
Comment 4 Jason Tibbitts 2006-03-02 12:53:43 EST
Sorry, I meant to indicate explicitly that this wasn't a blocker, as I did in my
other review.  I just wanted to point out that RPM will find the perl(Kwiki)
dependency on its own so there's no need to list it.

The package is approved in any case.
Comment 5 Steven Pritchard 2006-03-02 13:00:11 EST
For the record, those versioned deps are generated by cpanspec.  (Try "cpanspec
-v Kwiki::ModPerl" if you want to see exactly what I was working from.)  I
usually don't trim them, even if they aren't strictly necessary.  I usually do
remove non-versioned deps, and Core module dependencies are automatically
removed by cpanspec.

Note You need to log in before you can comment on or make changes to this bug.